Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.ico
Class ICODecoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiDecoderBase
                  |
                  +--com.sun.jimi.core.decoder.ico.ICODecoder

public class ICODecoder
extends JimiDecoderBase

Decoder for the windows .ico format (for windows icon files)

Field Summary
`protected static int` | `STREAM_BUFFER_SIZE`

Fields inherited from class com.sun.jimi.core.compat.JimiDecoderBase
`busyDecoding, cleanupCommands, currentController, currentHandle, decodingLock, error, ERROR, factory, finishedDecoding, IMAGEAVAIL, INFOAVAIL, input, jimiImage, MOREIMAGES, MULTIIMAGE, UNKNOWNCOUNT`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`ICODecoder()`

Method Summary
`boolean` | `driveDecoder()`
`void` | `freeDecoder()`
`int` | `getCapabilities()`
`AdaptiveRasterImage` | `getJimiImage()`
`int` | `getNumberOfImages()`
`int` | `getState()`
`void` | `initDecoder(java.io.InputStream in, AdaptiveRasterImage ji)`
`protected void` | `loadImage()`
`void` | `setJimiImage(AdaptiveRasterImage ji)`
`void` | `skipImage()`

Methods inherited from class com.sun.jimi.core.compat.JimiDecoderBase
`addCleanupCommand, createAdaptiveRasterImage, createAdaptiveRasterImage, decodeNextImage, finishedDecode, initDecoding, jimiImageCreated, mustWaitForOptions, run, setFinished, usesChanneledData, waitReady`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgress, setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STREAM_BUFFER_SIZE

    protected static final int STREAM_BUFFER_SIZE

Constructor Detail

### ICODecoder

    public ICODecoder()

Method Detail

### initDecoder

    public void initDecoder(java.io.InputStream in,
                            AdaptiveRasterImage ji)
                     throws JimiException

  Overrides:
    initDecoder in class JimiDecoderBase

### getNumberOfImages

    public int getNumberOfImages()

  Overrides:
    getNumberOfImages in class JimiDecoderBase

### getCapabilities

    public int getCapabilities()

  Overrides:
    getCapabilities in class JimiDecoderBase

### setJimiImage

    public void setJimiImage(AdaptiveRasterImage ji)

### skipImage

    public void skipImage()
                   throws JimiException

  Overrides:
    skipImage in class JimiDecoderBase

### loadImage

    protected void loadImage()
                      throws JimiException

### driveDecoder

    public boolean driveDecoder()
                         throws JimiException

  Overrides:
    driveDecoder in class JimiDecoderBase

### freeDecoder

    public void freeDecoder()
                     throws JimiException

  Overrides:
    freeDecoder in class JimiDecoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiDecoderBase

### getJimiImage

    public AdaptiveRasterImage getJimiImage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD